%global srcname eimp

%global p1_utils_ver 1.0.15


Name:    erlang-eimp
Version: 1.0.11
Release: 1%{?dist}

License: ASL 2.0
Summary: Erlang Image Manipulation Process
URL:     https://github.com/processone/eimp/
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: gd-devel
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: libjpeg-turbo-devel
BuildRequires: libpng-devel
BuildRequires: libwebp-devel

Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
eimp is an Erlang/Elixir application for manipulating graphic images
using external C libraries. It supports WebP, JPEG, PNG and GIF.


%prep
%autosetup -n %{srcname}-%{version}
rm configure


%build
autoreconf -ivf
%configure
%{rebar_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/bin/* --target-directory=%{buildroot}%{erlang_appdir}/priv/bin/


%check
# The unit tests do not pass: https://github.com/processone/eimp/issues/5
echo "Skipping tests."


%files
%license LICENSE.txt
%doc README.md
%{_erllibdir}/%{srcname}-%{version}


%changelog
* Wed Jun 05 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.11-1
- Update to 1.0.11 (#1713302).
- https://github.com/processone/eimp/blob/1.0.11/CHANGELOG.md

* Tue Apr 16 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.10-1
- Update to 1.0.10 (#1683121).
- https://github.com/processone/eimp/blob/1.0.10/CHANGELOG.md

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 08 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.9-1
- Update to 1.0.9.
- https://github.com/processone/eimp/blob/1.0.9/CHANGELOG.md

* Sun Oct 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.8-1
- Update to 1.0.8.
- https://github.com/processone/eimp/blob/1.0.8/CHANGELOG.md

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 1.0.6-2
- Rebuild with fixed binutils

* Sun Jul 29 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.6-1
- Update to 1.0.6 (#1596196).
- https://github.com/processone/eimp/blob/1.0.6/CHANGELOG.md

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 09 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5 (#1561272).
- https://github.com/processone/eimp/blob/1.0.5/CHANGELOG.md

* Thu Mar 29 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3 (#1561272).

* Mon Mar 26 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.2-1
- Initial release (#1560823).
